com.avaya.deskphoneservices

## Enum DeskPhoneServiceType

- java.lang.Object
- - java.lang.Enum<DeskPhoneServiceType>
  - - com.avaya.deskphoneservices.DeskPhoneServiceType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DeskPhoneServiceType>

      public enum DeskPhoneServiceType
      extends java.lang.Enum<DeskPhoneServiceType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SIP` Phone Service
    `UL` Unified Services, which in the scope of Desk Phone Application includes Device Services and AMM.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeskPhoneServiceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DeskPhoneServiceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIP

          public static final DeskPhoneServiceType SIP

      Phone Service

    - #### UL

          public static final DeskPhoneServiceType UL

      Unified Services, which in the scope of Desk Phone Application includes Device Services and AMM.

  - ### Method Detail

    - #### values

          public static DeskPhoneServiceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeskPhoneServiceType c : DeskPhoneServiceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DeskPhoneServiceType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null